VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::StorageStub Class Reference

Remote stub implementation of the Storage API service. More...

Inherits vmware::content::library::item::Storage.

List of all members.

## Public Member Functions
| StorageStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > | Get (string libraryItemId, string fileName)
| Retrieves the storage information for a specific file in a library item.
global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > | Get (string libraryItemId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the storage information for a specific file in a library item.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > > | GetAsync (string libraryItemId, string fileName)
| Retrieves the storage information for a specific file in a library item.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > > | GetAsync (string libraryItemId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the storage information for a specific file in a library item.
global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > | List (string libraryItemId)
| Lists all storage items for a given library item.
global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > | List (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists all storage items for a given library item.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > > | ListAsync (string libraryItemId)
| Lists all storage items for a given library item.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.StorageTypes.Info > > | ListAsync (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists all storage items for a given library item.

## Detailed Description

Remote stub implementation of the Storage API service.

## Constructor & Destructor Documentation

vmware::content::library::item::StorageStub::StorageStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> vmware::content::library::item::StorageStub::Get | ( | string | libraryItemId,
|  | string | fileName
| ) |  | `[inline]`

Retrieves the storage information for a specific file in a library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.NotFound | if the specified file does not exist in the given library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be retrieved. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  fileName | Name of the file for which the storage information should be listed.

Returns:
  The list of all the storage items for the given file within the given library item.

Implements vmware::content::library::item::Storage.

global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> vmware::content::library::item::StorageStub::Get | ( | string | libraryItemId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves the storage information for a specific file in a library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.NotFound | if the specified file does not exist in the given library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be retrieved. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  fileName | Name of the file for which the storage information should be listed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all the storage items for the given file within the given library item.

Implements vmware::content::library::item::Storage.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> > vmware::content::library::item::StorageStub::GetAsync | ( | string | libraryItemId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves the storage information for a specific file in a library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.NotFound | if the specified file does not exist in the given library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be retrieved. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  fileName | Name of the file for which the storage information should be listed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all the storage items for the given file within the given library item.

Implements vmware::content::library::item::Storage.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> > vmware::content::library::item::StorageStub::GetAsync | ( | string | libraryItemId,
|  | string | fileName
| ) |  | `[inline]`

Retrieves the storage information for a specific file in a library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.NotFound | if the specified file does not exist in the given library item.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be retrieved. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  fileName | Name of the file for which the storage information should be listed.

Returns:
  The list of all the storage items for the given file within the given library item.

Implements vmware::content::library::item::Storage.

global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> vmware::content::library::item::StorageStub::List | ( | string | libraryItemId | ) | `[inline]`

Lists all storage items for a given library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be listed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Returns:
  The list of all storage items for a given library item.

Implements vmware::content::library::item::Storage.

global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> vmware::content::library::item::StorageStub::List | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Lists all storage items for a given library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be listed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all storage items for a given library item.

Implements vmware::content::library::item::Storage.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> > vmware::content::library::item::StorageStub::ListAsync | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Lists all storage items for a given library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be listed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all storage items for a given library item.

Implements vmware::content::library::item::Storage.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.StorageTypes.Info> > vmware::content::library::item::StorageStub::ListAsync | ( | string | libraryItemId | ) | `[inline]`

Lists all storage items for a given library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library item does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.ReadStorage` .

Parameters:

  libraryItemId | Identifier of the library item whose storage information should be listed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Returns:
  The list of all storage items for a given library item.

Implements vmware::content::library::item::Storage.

The documentation for this class was generated from the following file:

- content/library/item/StorageStub.cs